# PlayerAnimationEvent (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.player, class: PlayerAnimationEvent

Package org.bukkit.event.player

# Class PlayerAnimationEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerAnimationEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `PlayerArmSwingEvent`

public class PlayerAnimationEvent extends PlayerEvent implements Cancellable
Represents a player animation event
Use `PlayerArmSwingEvent` for determining which arm was swung.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerAnimationEvent(@NotNull Player player)`
Deprecated.
`PlayerAnimationEvent(@NotNull Player player, @NotNull PlayerAnimationType playerAnimationType)`
Construct a new PlayerAnimation event

## Method Summary

Modifier and Type
Method
Description
`@NotNull PlayerAnimationType`
`getAnimationType()`
Get the type of this animation event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerAnimationEvent

@Deprecated public PlayerAnimationEvent(@NotNull @NotNull Player player)
Deprecated.

### PlayerAnimationEvent

public PlayerAnimationEvent(@NotNull @NotNull Player player, @NotNull @NotNull PlayerAnimationType playerAnimationType)
Construct a new PlayerAnimation event

Parameters:
  `player` - The player instance
  `playerAnimationType` - The animation type

## Method Details

### getAnimationType

@NotNull public @NotNull PlayerAnimationType getAnimationType()
Get the type of this animation event

Returns:
  the animation type

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()